Subject: bug#65447: 30.0.50; Gnus: No such function: nnfolder-server-opened

From: Gerd Möllmann <[email-masked]>
Date: Sun, 27 Aug 2023 09:16:47 +0200

Gerd Möllmann <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> The error has to be coming out of `gnus-get-function', in gnus-int.el.
>> Right above the spot where the error is signaled, we have a:
>>
>> (require (car method))
>>
>> In your case, (car method) is supposed to be the symbol 'nnfolder. I
>> can't imagine how the function name has been constructed as
>> `nnfolder-server-opened', yet (car method) is something other than
>> `nnfolder'. So the place to set a breakpoint would be at the bottom of
>> `gnus-get-function', maybe you can put it behind a check for
>> (eq func 'nnfolder-server-opened).
>>
>> Then we would want to know what the value of `method' is here, and also
>> where in the startup sequence we are.
>
> I have kind of bad news:
>
> My reproducer recipe does not work anymore, today.  What I formerly
> did was start Gnus in one session until an #.newsrc.dribble# appeared.
> Then I started another Emacs session, and also started Gnus, got the
> autosave file warning, replied with 'n', and the error was signaled.
>
> Worked yesterday, no longer does.
>
> Any idea?

I think I should close this because I'm unable to reproduce the problem.

Maybe it's a MacOS problem.  I've seen a number of such spurious
problems in the last months on macOS, like freezes in some macOS code,
buffers containing text that's not in the file they visit, font sizes
changing spuriously while writing text, input being reversed while
typing...  Or it's me, I don'T know. 

So, I'm closing this.  Thanks for helping me!